# -*- coding: utf-8 -*-

# Copyright (c) 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a Batch file lexer with some additional methods.
"""

from qtext import QextScintillaLexerBatch
from qt import *

from Lexer import Lexer

class LexerBatch(QextScintillaLexerBatch, Lexer):
    """ 
    Subclass to implement some additional lexer dependant methods.
    """
    def __init__(self, parent=None, name=None):
        """
        Constructor
        
        @param parent parent widget of this lexer
        @param name name of this lexer
        """
        QextScintillaLexerBatch.__init__(self, parent, name)
        Lexer.__init__(self)
        
        self.commentString = QString("REM ")
